public class StartsWithOfLength implements WordFeature
{
  private StartsWith startsWith;
  private OfLength   ofLength;

  public StartsWithOfLength( char target, int length )
  {
    startsWith = new StartsWith( target );
    ofLength   = new OfLength  ( length );
  }

  public boolean hasFeature( String s )
  {    
    return startsWith.hasFeature( s ) &&
             ofLength.hasFeature( s );
  }
}