public class OfLength implements WordFeature
{
  private int targetSize;

  public OfLength( int target )
  {
    targetSize = target;
  }

  public boolean hasFeature( String s )
  {
    if ( s == null || s.length() == 0 )
      return false;
    
    return s.length() == targetSize;
  }
}