import java.io.IOException;

public class WordLengths
{
   public static void main( String[] args ) throws IOException
   {
      Play document = new Play( args[0] );
      int  maximum  = Integer.parseInt( args[1] );
      char target   = args[2].charAt( 0 );
      
      System.out.println( "The play in the file " + args[0] +
                          " contains ..." );

      for (int i = 1; i <= maximum; i++)
      {
        CompoundTest test = new CompoundTest();
        test.add( new StartsWith(target) );
        test.add( new OfLength(i) );
        test.add( new IsAPalindrome() );
        
        System.out.println(
          "     " + document.countWords( test ) +
          " palindromes of " + i + " characters" );
      }
      
      System.out.println( " ... that start with '" + target + "'." );
   }
}
