public class CompoundFeature implements WordFeature
{
  private WordFeature test1;
  private WordFeature test2;

  public CompoundFeature( WordFeature t1, WordFeature t2 )
  {
    test1 = t1;
    test2 = t2;
  }

  public boolean hasFeature( String s )
  {    
    return test1.hasFeature( s ) &&
           test2.hasFeature( s );
  }
}