import java.util.Vector;

public class CompoundFeature implements WordFeature
{
  private Vector<WordFeature> tests;

  public CompoundFeature()
  {
    tests = new Vector<WordFeature>();
  }

  public boolean hasFeature( String s )
  {
    for (int i = 0; i < tests.size(); i++)
      if ( ! tests.elementAt(i).hasFeature(s) )
        return false;
    
    return true;
  }
  
  //--------------------------------------------

  public void add( WordFeature test )
  {
    tests.addElement( test );
  }
}